<?php
/**
 * Jewelry Accessories functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package jewelry_accessories
 */

if ( ! defined( 'JEWELRY_ACCESSORIES_VERSION' ) ) {
	define( 'JEWELRY_ACCESSORIES_VERSION', '1.0.0' );
}

$jewelry_accessories_theme_data = wp_get_theme();

if( ! defined( 'JEWELRY_ACCESSORIES_THEME_VERSION' ) ) define ( 'JEWELRY_ACCESSORIES_THEME_VERSION', $jewelry_accessories_theme_data->get( 'Version' ) );
if( ! defined( 'JEWELRY_ACCESSORIES_THEME_NAME' ) ) define( 'JEWELRY_ACCESSORIES_THEME_NAME', $jewelry_accessories_theme_data->get( 'Name' ) );

if ( ! function_exists( 'jewelry_accessories_setup' ) ) :
	
	function jewelry_accessories_setup() {
		
		load_theme_textdomain( 'jewelry-accessories', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'jewelry-accessories' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'jewelry_accessories_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*  Demo Import */
		require get_parent_theme_file_path( '/theme-wizard/config.php' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );

	}
endif;
add_action( 'after_setup_theme', 'jewelry_accessories_setup' );

function jewelry_accessories_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'jewelry_accessories_content_width', 640 );
}
add_action( 'after_setup_theme', 'jewelry_accessories_content_width', 0 );

function jewelry_accessories_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'jewelry-accessories' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'jewelry-accessories' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$jewelry_accessories_footer_widget_column = get_theme_mod('jewelry_accessories_footer_widget_column','4');
	for ($jewelry_accessories_i=1; $jewelry_accessories_i<=$jewelry_accessories_footer_widget_column; $jewelry_accessories_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'jewelry-accessories' )  . $jewelry_accessories_i,
			'id' => 'footer-widget-' . $jewelry_accessories_i,
			'description' => __( 'The Footer Widget Area', 'jewelry-accessories' )  . $jewelry_accessories_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'jewelry_accessories_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function jewelry_accessories_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'jewelry-accessories-style', get_template_directory_uri() . '/style.css', array(), JEWELRY_ACCESSORIES_VERSION );

	// RTL style.
	wp_style_add_data('jewelry-accessories-style', 'rtl', 'replace');

	if (get_theme_mod('jewelry_accessories_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	wp_enqueue_style( 'owl.carousel-css', esc_url(get_template_directory_uri())."/resource/css/owl.carousel.css" );

	// Navigation script.
	wp_enqueue_script( 'jewelry-accessories-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), JEWELRY_ACCESSORIES_VERSION, true );

	// Custom script.
	wp_enqueue_script( 'jewelry-accessories-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), JEWELRY_ACCESSORIES_VERSION, true );

	wp_enqueue_script( 'owl.carousel-js', esc_url(get_template_directory_uri()). '/resource/js/owl.carousel.js', array('jquery') );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'Cinzel',
		Jewelry_Accessories_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap' ),
		array(),
		'1.0'
	);

	// Load the webfont.
	wp_enqueue_style(
		'Tenor Sans',
		Jewelry_Accessories_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Tenor+Sans&display=swap' ),
		array(),
		'1.0'
	);

	// Load the webfont.
	wp_enqueue_style(
		'Cormorant',
		Jewelry_Accessories_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Cormorant:ital,wght@0,300..700;1,300..700&display=swap' ),
		array(),
		'1.0'
	);
}
add_action( 'wp_enqueue_scripts', 'jewelry_accessories_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'jewelry_accessories_products_per_page' );
function jewelry_accessories_products_per_page( $cols ) {
  	return  get_theme_mod( 'jewelry_accessories_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'jewelry_accessories_loop_columns');
	if (!function_exists('jewelry_accessories_loop_columns')) {
	function jewelry_accessories_loop_columns() {
		return get_theme_mod( 'jewelry_accessories_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function jewelry_accessories_links_setup() {
	if ( ! defined( 'JEWELRY_ACCESSORIES_PREMIUM_PAGE' ) ) {
	define('JEWELRY_ACCESSORIES_PREMIUM_PAGE',__('https://asterthemes.com/products/jewelry-store-wordpress-theme','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_THEME_PAGE' ) ) {
		define('JEWELRY_ACCESSORIES_THEME_PAGE',__('https://asterthemes.com/products/jewelry-accessories','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_SUPPORT' ) ) {
	define('JEWELRY_ACCESSORIES_SUPPORT',__('https://wordpress.org/support/theme/jewelry-accessories/','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_REVIEW' ) ) {
	define('JEWELRY_ACCESSORIES_REVIEW',__('https://wordpress.org/support/theme/jewelry-accessories/reviews/','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_PRO_DEMO' ) ) {
	define('JEWELRY_ACCESSORIES_PRO_DEMO',__('https://demo.asterthemes.com/bridal-jewelry-store/','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_THEME_DOCUMENTATION' ) ) {
	define('JEWELRY_ACCESSORIES_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/jeweler-accessories-free/','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_PREMIUM_DOCUMENTATION' ) ) {
	define('JEWELRY_ACCESSORIES_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/bridal-jewelry-store-pro/','jewelry-accessories'));
	}
	if ( ! defined( 'JEWELRY_ACCESSORIES_BUNDLE_PAGE' ) ) {
		define('JEWELRY_ACCESSORIES_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','jewelry-accessories'));
	}
}
add_action('after_setup_theme', 'jewelry_accessories_links_setup');

// Enqueue Customizer live preview script
function jewelry_accessories_customizer_live_preview() {
    wp_enqueue_script(
        'jewelry-accessories-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'jewelry_accessories_customizer_live_preview');

// Featured Image Dimension
function jewelry_accessories_blog_post_featured_image_dimension(){
	if(get_theme_mod('jewelry_accessories_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}
// Add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($jewelry_accessories_classes, $class, $product_id) {

	    if( is_shop() || is_product_category() || is_product() ){
	        
	        $jewelry_accessories_classes = array_merge(['wow','zoomIn'], $jewelry_accessories_classes);
	    }

	    return $jewelry_accessories_classes;

	}, 10, 3);
}
//woocommerce-end//

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );